GET
locations API
Retrieve and manage locations records from the Apps4Edu sync database.
Endpoint Path
GET
/api/locations
CURL Example
curl "https://api.apps4education.co.uk/api/locations?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
Field Definitions
| Field | Type |
|---|---|
locationID
|
int |
roomName
|
varchar |
locationTypeID
|
int |
locationDescription
|
varchar |
shortCode
|
varchar |
capacity
|
int |
startDate
|
datetime |
endDate
|
datetime |
locationTypeName
|
varchar |
locationTypeDescription
|
varchar |
availablePCs
|
int |
interactiveWhiteboard
|
tinyint |
screen
|
tinyint |
tvvcr
|
tinyint |
dataProjector
|
tinyint |
blackout
|
tinyint |
mainUser
|
varchar |
blockName
|
varchar |
blockID
|
int |
siteDescription
|
varchar |
siteID
|
int |
mainSubject
|
varchar |
created_at
|
timestamp |
updated_at
|
timestamp |
school_id
|
bigint |
Response Body (Sample)
{ "data": [ { "locationID": 101, "roomName": "example_value", "locationTypeID": 101, "locationDescription": "example_value", "shortCode": "example_value", "capacity": "example_value", "startDate": "example_value", "endDate": "example_value", "locationTypeName": "example_value", "locationTypeDescription": "example_value", "availablePCs": "example_value", "interactiveWhiteboard": "example_value", "screen": "example_value", "tvvcr": "example_value", "dataProjector": "example_value", "blackout": "example_value", "mainUser": "example_value", "blockName": "example_value", "blockID": 101, "siteDescription": "example_value", "siteID": 101, "mainSubject": "example_value", "created_at": "example_value", "updated_at": "example_value", "school_id": "example_value" } ] }
Query Parameters
api_token
Required. Your unique API key must be passed as a query string parameter.
school
Optional. A Bromcom school ID to restrict rows to one school.
page
Optional. Defaults to 1. Used to navigate through paginated results.
per_page
Optional. Rows per page, up to 500 (the default). Follow next_page_url for the rest.